// creator  : weidu.exe (version 23600)
// argument : RASAADJ.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~RASAADJ~

IF ~~ THEN BEGIN 0 // from: RSDMNK03:0.0
  SAY #28674 /* ~Be careful, friend. Some of these people are the same who attacked Gamaz and me in Athkatla.~ [RSC104] */
  IF ~~ THEN DO ~ActionOverride("RSDMNK01",Enemy())
ActionOverride("RSDMNK02",Enemy())
ActionOverride("RSDMNK03",Enemy())
~ EXIT
END

IF ~  Global("RASAAD_PLOT","GLOBAL",3)
Global("DARK_MOON_AMBUSH_START","LOCALS",2)
~ THEN BEGIN 1 // from:
  SAY #28675 /* ~Those strikes... the sinuous manner in which they dodged! Those who attacked Gamaz and me in Athkatla were not Shadow Thieves... they were Dark Moon monks! They must have tracked me here.~ [RSD101] */
  IF ~~ THEN REPLY #28676 /* ~What do they want with you?~ */ DO ~SetGlobal("DARK_MOON_AMBUSH_START","LOCALS",3)
~ GOTO 2
  IF ~~ THEN REPLY #28677 /* ~Do you owe them money or something?~ */ DO ~SetGlobal("DARK_MOON_AMBUSH_START","LOCALS",3)
~ GOTO 3
  IF ~~ THEN REPLY #28678 /* ~I don't appreciate your dragging me into this mess.~ */ DO ~SetGlobal("DARK_MOON_AMBUSH_START","LOCALS",3)
~ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #28679 /* ~One of the cult's principal goals is the eradication of the Sun Soul monks and all worshippers of Selûne. They will not rest until their dark purposes eclipse our efforts. We must stop them.~ [RSD102] */
  IF ~  !InParty("VICONIA")
~ THEN EXIT
  IF ~  InParty("VICONIA")
~ THEN EXTERN ~VICONJ~ 9
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #28680 /* ~Much as I appreciate your levity, this is no laughing matter. The Dark Moon monks seek nothing less than the eradication of all worshippers of Selûne, including members of my order.~ [RSD103] */
  IF ~  InParty("VICONIA")
~ THEN EXTERN ~VICONJ~ 9
  IF ~  !InParty("VICONIA")
~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #28681 /* ~I understand, my friend. I regret that my presence brought these foes to you, yet who better than you to oppose their evil designs? Alone, I may never defeat them. Together, we might stop them for good.~ [RSD104] */
  IF ~  InParty("VICONIA")
~ THEN EXTERN ~VICONJ~ 9
  IF ~  !InParty("VICONIA")
~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: VICONJ:9.0
  SAY #28682 /* ~Thank you, my friend. I would hesitate to face the Dark Moon without your help.~ [RSD106] */
  IF ~~ THEN EXTERN ~VICONJ~ 10
END

IF ~~ THEN BEGIN 6 // from: VICONJ:10.0
  SAY #28683 /* ~I will never turn toward Shar. In the darkness lies only falsehood.~ [RSD108] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: VICONJ:11.2 VICONJ:9.2
  SAY #28684 /* ~While it saddens me to leave, I understand that I have brought danger to you. I will return to the place where we first met, in case you have need of me in future.~ [RSD109] */
  IF ~~ THEN DO ~Activate("KERRACHUS")
LeaveParty()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: VICONJ:11.0
  SAY #28685 /* ~We must prepare ourselves for another attack when we least expect it. The Dark Moon watch, wait, and strike from the shadows. They said someone named "Sorrem" directed them to me.~ [RSD112] */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #28686 /* ~When I spent some time in Baldur's Gate, a man named Sorrem used to come to my demonstrations of martial skill. I sometimes saw him returning to the Blade and Stars tavern.~ [RSD113] */
  IF ~~ THEN REPLY #28687 /* ~All right, let's find this Sorrem and take the fight to the Dark Moon.~ */ DO ~Activate("KERRACHUS")
~ EXIT
  IF ~~ THEN REPLY #28688 /* ~It might be best not to stir up more trouble than we already have. We'll leave this Sorrem alone.~ */ DO ~Activate("KERRACHUS")
~ EXIT
END

IF ~~ THEN BEGIN 10 // from: RSSORREM:1.1
  SAY #28689 /* ~While I abhor unnecessary violence, perhaps I can make an exception in this case.~ [RSE103] */
  IF ~  InParty("MINSC")
~ THEN EXTERN ~MINSCJ~ 11
  IF ~  !InParty("MINSC")
~ THEN EXTERN ~RSSORREM~ 2
END

IF ~  Dead("RSSORREM")
Global("ATTACKED_SORREM","GLOBAL",2)
~ THEN BEGIN 11 // from:
  SAY #28690 /* ~I regret that it has come to this, but he did share some information before his... defeat. It appears the Dark Moon has taken up position in the Cloud Peak mountains. We should hasten there as soon as possible.~ [RSE117] */
  IF ~~ THEN DO ~SetGlobal("ATTACKED_SORREM","GLOBAL",3)
SetGlobal("RS_NOTE2","LOCALS",0)
~ EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #28691 /* ~Let us be cautious, my friend. I sense something dangerous about this place.~ [RSF201] */
  IF ~  InParty("MINSC")
~ THEN REPLY #28692 /* ~You aren't the only one, Rasaad.~ */ EXTERN ~MINSCJ~ 12
  IF ~  InParty("MINSC")
~ THEN REPLY #28693 /* ~Are you sure your monastery wasn't the Order of the Blindingly Obvious?~ */ EXTERN ~MINSCJ~ 12
  IF ~  InParty("MINSC")
~ THEN REPLY #28694 /* ~Keep it down. We don't want to alert—~ */ EXTERN ~MINSCJ~ 12
  IF ~  !InParty("MINSC")
~ THEN REPLY #28692 /* ~You aren't the only one, Rasaad.~ */ EXTERN ~MINSCJ~ 12
  IF ~  !InParty("MINSC")
~ THEN REPLY #28693 /* ~Are you sure your monastery wasn't the Order of the Blindingly Obvious?~ */ EXTERN ~MINSCJ~ 12
  IF ~  !InParty("MINSC")
~ THEN REPLY #28694 /* ~Keep it down. We don't want to alert—~ */ EXTERN ~MINSCJ~ 12
END

IF ~  Global("RS_NOTE2","LOCALS",1)
RealGlobalTimerExpired("RSNOTE2","LOCALS")
~ THEN BEGIN 13 // from:
  SAY #28695 /* ~<CHARNAME>, let us journey to these Cloud Peaks and face the Dark Moon cult. Alone I could never defeat them, but together we have a chance to put an end to their murderous campaign.~ [RSG101] */
  IF ~  InParty("VICONIA")
~ THEN DO ~SetGlobal("RS_NOTE2","LOCALS",2)
~ EXTERN ~VICONJ~ 13
  IF ~  !InParty("VICONIA")
~ THEN DO ~SetGlobal("RS_NOTE2","LOCALS",2)
~ GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.1 VICONJ:13.0
  SAY #28696 /* ~While I will never forget Gamaz's death, my desire is not for revenge. I wish only to stop the Dark Moon from claiming more victims.~ [RSG102] */
  IF ~  InParty("AJANTIS")
~ THEN EXTERN ~AJANTJ~ 8
  IF ~  InParty("KHALID")
~ THEN EXTERN ~KHALIJ~ 8
  IF ~  !InParty("AJANTIS")
!InParty("KHALID")
~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.2
  SAY #28697 /* ~What do you say, my friend? Shall we pursue these assassins to their den?~ [RSG106] */
  IF ~~ THEN REPLY #28698 /* ~We shall. Their evil will not eclipse this land while I am here to stop it.~ */ GOTO 16
  IF ~~ THEN REPLY #28699 /* ~What's in it for us, Rasaad? You know what they say: If you do something well, don't do it for free.~ */ GOTO 17
  IF ~~ THEN REPLY #28700 /* ~These Dark Moon monks seem powerful. Maybe they would welcome someone of my talent into their order.~ */ GOTO 18
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #28701 /* ~Your words give me courage, my friend. I thank you.~ [RSG107] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 17 // from: 15.1
  SAY #28702 /* ~If the satisfaction of ridding the world of their evil is not enough incentive, imagine what stores of ill-gotten treasure they have accumulated.~ [RSG108] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 18 // from: 15.2
  SAY #28703 /* ~Sometimes the subtleties of your jokes elude me.~ [RSG109] */
  IF ~~ THEN REPLY #28704 /* ~You're right, Rasaad. This is no joking matter. We will deal with these Dark Moon monks soon.~ */ GOTO 20
  IF ~~ THEN REPLY #28705 /* ~Ha ha! I had you going that time, didn't I? With my joke, which was completely not serious.~ */ GOTO 20
  IF ~~ THEN REPLY #28706 /* ~What jokes? I would love to learn their deadly skills.~ */ GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.2
  SAY #28707 /* ~Those who search for tools in the darkness rarely emerge into the light. I pray you will reconsider, <CHARNAME>.~ [RSG110] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 20 // from: 18.1 18.0
  SAY #28708 /* ~I am glad to hear it, <CHARNAME>. Try as I might, I find it difficult to laugh away the wicked deeds of the Dark Moon Order.~ [RSG111] */
  IF ~~ THEN EXIT
END

IF ~  AreaCheck("OH3000")
!Dead("RSDMNK05")
~ THEN BEGIN 21 // from: RSDMNK08:0.0
  SAY #28709 /* ~See how the servants of Shar treat their acolytes? They even prey on their own.~ [RSH107] */
  IF ~  InParty("VICONIA")
~ THEN DO ~AddJournalEntry(30776,QUEST)
~ EXTERN ~VICONJ~ 14
  IF ~  !InParty("VICONIA")
~ THEN DO ~AddJournalEntry(30776,QUEST)
~ EXTERN ~RSDMNK05~ 1
END

IF ~~ THEN BEGIN 22 // from: RSDAPPSU:0.0
  SAY #28710 /* ~You are a true hero, <CHARNAME>. May the light of Selûne ever guide your path.~ [RSI102] */
  IF ~  InParty("VICONIA")
~ THEN EXTERN ~VICONJ~ 15
  IF ~  !InParty("VICONIA")
~ THEN EXTERN ~RSDAPPSU~ 1
END

IF ~~ THEN BEGIN 23 // from: RSDAPPSU:4.0
  SAY #28711 /* ~My friend, is this the right thing to do? We should encourage justice, not revenge.~ [RSI107] */
  IF ~~ THEN REPLY #28712 /* ~You make a good point, Rasaad. Let's go get some justice.~ */ EXTERN ~RSDAPPSU~ 6
END

IF ~~ THEN BEGIN 24 // from:
  SAY #28713 /* ~Look! The Dark Moon monks have slain those who would have joined them.~ [RSK101] */
  IF ~~ THEN REPLY #28714 /* ~That's a shame, but their deaths will not go unpunished.~ */ EXTERN ~RSDMNK09~ 0
  IF ~~ THEN REPLY #28715 /* ~I guess the Dark Moon monks rejected them for a good reason.~ */ EXTERN ~RSDMNK09~ 0
  IF ~~ THEN REPLY #28716 /* ~You join the wrong side, you get what you deserve.~ */ EXTERN ~RSDMNK09~ 0
END

IF ~~ THEN BEGIN 25 // from: RSGAMAZ:3.2 RSGAMAZ:3.1 RSGAMAZ:3.0
  SAY #28717 /* ~<CHARNAME>, he is talking to me. Gamaz, my brother! How is it you still live?~ [RSM105] */
  IF ~~ THEN DO ~AddJournalEntry(30777,QUEST)
~ EXTERN ~RSGAMAZ~ 4
END

IF ~~ THEN BEGIN 26 // from: RSGAMAZ:4.0
  SAY #28718 /* ~I did not wish to leave you, brother. The city guards arrested me. They told me you were dead, slain by the Shadow Thieves.~ [RSM107] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 5
END

IF ~~ THEN BEGIN 27 // from: VICONJ:16.0
  SAY #28719 /* ~I don't believe that is true, Viconia. You and Gamaz have both been seduced by a lie.~ [RSM115] */
  IF ~~ THEN GOTO 28
END

IF ~~ THEN BEGIN 28 // from: 27.0 RSGAMAZ:9.3 RSGAMAZ:9.2
  SAY #28720 /* ~You have been misled, Gamaz. There is no truth in Shar, only lies. What this Alorgoth calls power is only a trap to turn you away from the light. Do not turn away from me, Gamaz. You cannot kill me. I am your brother.~ [RSM116] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 10
END

IF ~  AreaCheck("OH3010")
~ THEN BEGIN 29 // from:
  SAY #28721 /* ~Gamaz, listen to me. Shar has seduced you with lies. The power she offers is only the power of destruction. You know this to be true.~ [RSO102] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 12
END

IF ~~ THEN BEGIN 30 // from: RSGAMAZ:12.0
  SAY #28722 /* ~How have you forgotten all of our lessons? Dark sorcery can only destroy, not preserve. The promises of Shar are as empty as the void of her heart.~ [RSO104] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 13
END

IF ~~ THEN BEGIN 31 // from: RSGAMAZ:13.0
  SAY #28723 /* ~You do not need such power, Gamaz. In the Order of the Sun Soul, you were always the strongest among us.~ [RSO106] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 14
END

IF ~~ THEN BEGIN 32 // from: RSGAMAZ:14.0
  SAY #28724 /* ~I— I—~ [RSO108] */
  IF ~~ THEN REPLY #28725 /* ~Go on, Rasaad. Tell him the truth. He needs to hear it.~ */ GOTO 33
  IF ~~ THEN REPLY #28726 /* ~Careful, Rasaad. Some people only hear what they want to hear.~ */ GOTO 33
  IF ~~ THEN REPLY #28727 /* ~This is your brother? A Dark Moon monk? He doesn't deserve the truth. He deserves only death.~ */ GOTO 33
END

IF ~~ THEN BEGIN 33 // from: 32.2 32.1 32.0
  SAY #28728 /* ~I cannot lie to you, Gamaz. During our training, I did sometimes withhold my full strength. Winning always seemed more important to you than it felt to me.~ [RSO109] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 15
END

IF ~~ THEN BEGIN 34 // from: RSGAMAZ:16.2 RSGAMAZ:16.1 RSGAMAZ:16.0
  SAY #28729 /* ~I have no desire for power that serves only its wielder. I reject the lies of Shar, Gamaz. I beg you to do the same.~ [RSO112] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 17
END

IF ~  AreaCheck("OH3100")
Global("GAMAZ_DEFEATED","GLOBAL",0)
~ THEN BEGIN 35 // from:
  SAY #28730 /* ~Gamaz, my beloved brother, do not force me to stop you.~ [RSP101] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 18
END

IF ~~ THEN BEGIN 36 // from: RSGAMAZ:18.0
  SAY #28731 /* ~No, I knew you did it as much for me as for yourself. I understood that you—~ [RSP103] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 19
END

IF ~~ THEN BEGIN 37 // from: RSGAMAZ:20.0 VICONJ:17.0
  SAY #28732 /* ~No, I do not believe it. You have been deceived, my brother. Turn away from the umbra's false promises before it is too late.~ [RSP107] */
  IF ~~ THEN REPLY #28733 /* ~Listen to your brother, Gamaz. Rasaad knows what he's talking about.~ */ EXTERN ~RSGAMAZ~ 21
  IF ~~ THEN REPLY #28734 /* ~It's no good, Rasaad. Gamaz is lost.~ */ EXTERN ~RSGAMAZ~ 21
  IF ~~ THEN REPLY #28735 /* ~I don't know, Rasaad. Gamaz seems to have learned a few things since he got rid of you. Maybe you'd be more powerful if you joined his order.~ */ GOTO 38
  IF ~~ THEN REPLY #28736 /* ~I thought we'd agreed not to talk politics or religion.~ */ EXTERN ~RSGAMAZ~ 21
END

IF ~~ THEN BEGIN 38 // from: 37.2
  SAY #28737 /* ~No, I will never turn away from the light of Selûne.~ [RSP108] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 21
END

IF ~~ THEN BEGIN 39 // from: RSGAMAZ:22.0
  SAY #28738 /* ~No, Gamaz. No more hiding behind your minions. If you wish me dead, you must face me yourself.~ [RSP111] */
  IF ~~ THEN EXTERN ~RSGAMAZ~ 23
END

IF ~  Global("GAMAZ_DEFEATED","GLOBAL",1)
~ THEN BEGIN 40 // from:
  SAY #28739 /* ~Gamaz!~ [RSQ101] */
  IF ~~ THEN DO ~EraseJournalEntry(30775)
SetGlobal("GAMAZ_DEFEATED","GLOBAL",2)
AddJournalEntry(30778,QUEST_DONE)
EraseJournalEntry(30773)
EraseJournalEntry(30774)
EraseJournalEntry(29022)
EraseJournalEntry(30776)
EraseJournalEntry(30777)
~ EXTERN ~RSGAMAZ~ 24
END

IF ~~ THEN BEGIN 41 // from: RSGAMAZ:24.0
  SAY #28740 /* ~Thank you, <CHARNAME>. All this time I thought my brother was dead. What misfortune brought us together again, only to prove he was lost to me?~ [RSQ103] */
  IF ~~ THEN REPLY #28741 /* ~Perhaps this misfortune is a test of your faith.~ */ GOTO 45
  IF ~~ THEN REPLY #28742 /* ~It wasn't misfortune but fate. Once Gamaz turned to Shar, it was inevitable that he must face you one day.~ */ GOTO 46
  IF ~~ THEN REPLY #28743 /* ~It is important to remember Gamaz was lost in darkness long ago. Today you finally gave him peace.~ */ GOTO 47
  IF ~~ THEN REPLY #28744 /* ~Beats me. Say, can we see the coast from up here? Let's have a look.~ */ GOTO 48
END

IF ~~ THEN BEGIN 42 // from: RSGAMAZ:24.1
  SAY #28745 /* ~Your otherwise admirable attempt to lift my spirits through levity could be better timed.~ [RSQ104] */
  IF ~~ THEN DO ~ActionOverride("RSGAMAZ",Kill(Myself))
~ EXIT
END

IF ~~ THEN BEGIN 43 // from: RSGAMAZ:24.2
  SAY #28746 /* ~I do not know. I cannot bear to pilfer my brother's corpse.~ [RSQ105] */
  IF ~~ THEN DO ~ActionOverride("RSGAMAZ",Kill(Myself))
~ EXIT
END

IF ~~ THEN BEGIN 44 // from: RSGAMAZ:24.3
  SAY #28747 /* ~I hope so as well, <CHARNAME>. Never have I felt so miserable.~ [RSQ106] */
  IF ~~ THEN DO ~ActionOverride("RSGAMAZ",Kill(Myself))
~ EXIT
END

IF ~~ THEN BEGIN 45 // from: 41.0
  SAY #28748 /* ~"The full moon shines brighter because we have longed for its light in the dark." Thank you, <PRO_BROTHERSISTER>, for reminding me of the solace found in the teachings of Selûne.~ [RSQ107] */
  IF ~~ THEN DO ~ActionOverride("RSGAMAZ",Kill(Myself))
~ EXIT
END

IF ~~ THEN BEGIN 46 // from: 41.1
  SAY #28749 /* ~"Light and dark reign but one day each moon. The rest is perpetual struggle." Not all of the teachings of Selûne offer comfort, but there is wisdom in them.~ [RSQ108] */
  IF ~~ THEN DO ~ActionOverride("RSGAMAZ",Kill(Myself))
~ EXIT
END

IF ~~ THEN BEGIN 47 // from: 41.2
  SAY #28750 /* ~"The weary old moon holds the new moon in her arms until she too must sleep." Death brings both sorrow and relief. Thank you for the reminder, <PRO_BROTHERSISTER>.~ [RSQ109] */
  IF ~~ THEN DO ~ActionOverride("RSGAMAZ",Kill(Myself))
~ EXIT
END

IF ~~ THEN BEGIN 48 // from: 41.3
  SAY #28751 /* ~...yes, of course. As you will.~ [RSQ110] */
  IF ~~ THEN DO ~ActionOverride("RSGAMAZ",Kill(Myself))
~ EXIT
END

IF ~  InParty("RASAAD")
GlobalLT("RASAAD_CDEV","LOCALS",1)
GlobalTimerExpired("RASAAD_CDEV1_TIMER","GLOBAL")
~ THEN BEGIN 49 // from:
  SAY #28752 /* ~You appear troubled. Does a shadow lie upon your soul, <CHARNAME>?~ [RST101] */
  IF ~~ THEN REPLY #28753 /* ~I want to know more about you. How did you become a Sun Soul monk?~ */ DO ~SetGlobal("RASAAD_CDEV","LOCALS",1)
SetGlobal("RASAAD_CDEV1_MONK","LOCALS",1)
~ GOTO 53
  IF ~~ THEN REPLY #28754 /* ~Why did you come to Nashkel in the first place?~ */ DO ~SetGlobal("RASAAD_CDEV","LOCALS",1)
SetGlobal("RASAAD_CDEV1_BG","LOCALS",1)
~ GOTO 62
  IF ~~ THEN REPLY #28755 /* ~No, it's just something I ate.~ */ DO ~SetGlobal("RASAAD_CDEV","LOCALS",1)
~ GOTO 50
  IF ~~ THEN REPLY #28756 /* ~No time to talk, Rasaad.~ */ DO ~SetGlobal("RASAAD_CDEV","LOCALS",0)
SetGlobalTimer("RASAAD_CDEV1_TIMER","GLOBAL",THIRTY_DAYS)
~ EXIT
END

IF ~~ THEN BEGIN 50 // from: 49.2
  SAY #28757 /* ~In times of discomfort, I remember the words of our masters at the monastery: Like the full moon, this too shall wane.~ [RST102] */
  IF ~~ THEN DO ~SetGlobalTimer("RASAAD_CDEV2_TIMER","GLOBAL",SEVEN_DAYS)
~ EXIT
END

IF ~~ THEN BEGIN 51 // from:
  SAY #28758 /* ~As the moon's eternally changing face, all things in their time.~ [RST103] */
  IF ~~ THEN DO ~SetGlobalTimer("RASAAD_CDEV2_TIMER","GLOBAL",SEVEN_DAYS)
~ EXIT
END

IF ~  Global("RASAAD_CDEV","LOCALS",1)
GlobalTimerNotExpired("RASAAD_CDEV2_TIMER","GLOBAL")
Global("RASAAD_ENLIGHTEN","LOCALS",0)
!Global("RASAAD_ROMANCE","GLOBAL",1)
~ THEN BEGIN 52 // from: 68.2 68.0 67.0 61.0 60.0 59.0
  SAY #28759 /* ~How may I enlighten you?~ [RST104] */
  IF ~  !Global("RASAAD_CDEV1_MONK","LOCALS",1)
~ THEN REPLY #28760 /* ~How did you become a Sun Soul monk?~ */ DO ~SetGlobal("RASAAD_CDEV1_MONK","LOCALS",1)
SetGlobal("RASAAD_ENLIGHTEN","LOCALS",1)
~ GOTO 53
  IF ~  !Global("RASAAD_CDEV1_BG","LOCALS",1)
~ THEN REPLY #28761 /* ~Why did you come to Nashkel?~ */ DO ~SetGlobal("RASAAD_CDEV1_BG","LOCALS",1)
SetGlobal("RASAAD_ENLIGHTEN","LOCALS",1)
~ GOTO 62
  IF ~~ THEN REPLY #28762 /* ~That's enough reminiscing for now. We'll talk again later.~ */ DO ~SetGlobalTimer("RASAAD_CDEV2_TIMER","GLOBAL",SEVEN_DAYS)
SetGlobal("RASAAD_ENLIGHTEN","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 53 // from: 68.1 52.0 49.0
  SAY #28763 /* ~It seems so long ago that I first joined the Order. Thinking of those days revives fond memories even as it reminds me of those precious things I have lost.~ [RST105] */
  IF ~~ THEN GOTO 54
END

IF ~~ THEN BEGIN 54 // from: 53.0
  SAY #28764 /* ~My mother gave up her own life to give life to me. Without her help, my father struggled to raise me and my older brother Gamaz. Life in Calimport is hard for those not born to wealth and privilege.~ [RST106] */
  IF ~~ THEN GOTO 55
END

IF ~~ THEN BEGIN 55 // from: 54.0
  SAY #28765 /* ~When he could no longer pay his rising debts, my father was condemned to the Arena Efreetum, where he fought and died for the entertainment of the people.~ [RST107] */
  IF ~~ THEN GOTO 56
END

IF ~~ THEN BEGIN 56 // from: 55.0
  SAY #28766 /* ~His death left Gamaz and me to scratch out a life upon the streets. We helped each other as best we could, begging, serving, and yes... sometimes stealing.~ [RST108] */
  IF ~~ THEN GOTO 57
END

IF ~~ THEN BEGIN 57 // from: 56.0
  SAY #28767 /* ~One day, Gamaz was caught with his hand upon the purse of a Sun Soul monk. Rather than punish us, the monk brought us to the monastery, where we were bathed, fed, and clothed as initiates.~ [RST109] */
  IF ~~ THEN GOTO 58
END

IF ~~ THEN BEGIN 58 // from: 57.0
  SAY #28768 /* ~From that day forward, we learned the mysteries of Selûne and trained our bodies, minds, and spirits to spread her light to others.~ [RST110] */
  IF ~~ THEN REPLY #28769 /* ~Your childhood sounds sad, but it sounds like things turned out all right.~ */ GOTO 59
  IF ~~ THEN REPLY #28770 /* ~Why didn't you say so earlier? Think of the money I could have saved on torches and lamp oil.~ */ GOTO 60
  IF ~~ THEN REPLY #28771 /* ~You were lucky. Many are not so forgiving of pickpockets.~ */ GOTO 61
END

IF ~~ THEN BEGIN 59 // from: 58.0
  SAY #28772 /* ~Indeed, Selûne blessed Gamaz and me the day we met that monk. From that day forward, the light of the goddess brightened our existence.~ [RST111] */
  IF ~~ THEN GOTO 52
END

IF ~~ THEN BEGIN 60 // from: 58.1
  SAY #28773 /* ~Your jests shine their own light upon those around you. I thank you for brightening my recent days.~ [RST112] */
  IF ~~ THEN GOTO 52
END

IF ~~ THEN BEGIN 61 // from: 58.2
  SAY #28774 /* ~Indeed. By showing us mercy, the monks of the Order elevated Gamaz and me from what might otherwise have become a desperate existence. I shall never forget the light they shone upon us.~ [RST113] */
  IF ~~ THEN GOTO 52
END

IF ~~ THEN BEGIN 62 // from: 52.1 49.1
  SAY #28775 /* ~While divided by distance and allegiance to three different gods, the various sects of the Order of the Sun Soul cooperate across Faerûn.~ [RST114] */
  IF ~~ THEN GOTO 63
END

IF ~~ THEN BEGIN 63 // from: 62.0
  SAY #28776 /* ~When the sect in Athkatla ceased responding to messages, my masters in Calimport sent ten monks to investigate. Gamaz and I were among those chosen to set sail for Amn.~ [RST115] */
  IF ~~ THEN GOTO 64
END

IF ~~ THEN BEGIN 64 // from: 63.0
  SAY #28777 /* ~We found the monastery abandoned. The nearby residents we questioned about the mystery changed the subject or fled. For weeks, we continued to investigate.~ [RST116] */
  IF ~~ THEN GOTO 65
END

IF ~~ THEN BEGIN 65 // from: 64.0
  SAY #28778 /* ~At last, through stealth, subterfuge, and patience, we began to overhear rumors that agents of Shar, the Mistress of the Night, had murdered all the Sun Soul monks in Athkatla.~ [RST117] */
  IF ~~ THEN GOTO 66
END

IF ~~ THEN BEGIN 66 // from: 65.0
  SAY #28779 /* ~The local residents feared Shar too much to speak with us. But again and again, we overheard one name uttered in fearful whispers: Alorgoth.~ [RST118] */
  IF ~~ THEN REPLY #28780 /* ~Who is this Alorgoth?~ */ GOTO 67
  IF ~~ THEN REPLY #28781 /* ~That sounds like a villain's name. So sinister! AL-OR-GOTH!~ */ GOTO 67
  IF ~~ THEN REPLY #28782 /* ~So you're on a mission of revenge, are you? I think I've heard this one before.~ */ GOTO 68
END

IF ~~ THEN BEGIN 67 // from: 66.1 66.0
  SAY #28783 /* ~Who he is, what he did to the monks in Athkatla, or where he has gone, I cannot say. The trail is lost, unless I stumble across the name Alorgoth again one day.~ [RST119] */
  IF ~~ THEN GOTO 52
END

IF ~~ THEN BEGIN 68 // from: 66.2
  SAY #28784 /* ~No, revenge is but a shadow upon the heart. But it is true that I pray for answers, and for justice for the missing monks.~ [RST120] */
  IF ~~ THEN REPLY #28785 /* ~An admirable attitude. I hope you find your justice, Rasaad.~ */ GOTO 52
  IF ~~ THEN REPLY #28786 /* ~A shadow on the heart? I always heard it was a dish best served cold. Do I need to consult a sage on this one?~ */ GOTO 53
  IF ~~ THEN REPLY #28787 /* ~Bah! Justice is a word used by those too weak to gain revenge.~ */ GOTO 52
END

IF ~  GlobalTimerExpired("RASAAD_CDEV2_TIMER","GLOBAL")
GlobalLT("RASAAD_CDEV","LOCALS",3)
Global("RASAAD_CDEV2_END","LOCALS",0)
~ THEN BEGIN 69 // from:
  SAY #28788 /* ~Do you seek enlightenment?~ [RST201] */
  IF ~~ THEN REPLY #28789 /* ~I'd like to know more about your search for the missing Sun Soul monks.~ */ DO ~SetGlobal("RASAAD_CDEV","LOCALS",2)
SetGlobal("RASAAD_CDEV2_END","LOCALS",1)
~ GOTO 71
  IF ~~ THEN REPLY #28790 /* ~Tell me more about your training with the Sun Soul monks.~ */ DO ~SetGlobal("RASAAD_CDEV","LOCALS",2)
SetGlobal("RASAAD_CDEV2_END","LOCALS",1)
~ GOTO 87
  IF ~~ THEN REPLY #28791 /* ~Not now, Rasaad.~ */ DO ~SetGlobalTimer("RASAAD_CDEV2_TIMER","GLOBAL",THIRTY_DAYS)
~ EXIT
END

IF ~~ THEN BEGIN 70 // from: 97.0 86.0
  SAY #28792 /* ~What else can I tell you?~ [RST202] */
  IF ~~ THEN REPLY #28789 /* ~I'd like to know more about your search for the missing Sun Soul monks.~ */ GOTO 71
  IF ~~ THEN REPLY #28790 /* ~Tell me more about your training with the Sun Soul monks.~ */ GOTO 87
  IF ~~ THEN REPLY #28793 /* ~That's all for now. We'll talk again later.~ */ DO ~SetGlobal("RASAAD_CDEV2_END","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 71 // from: 70.0 69.0
  SAY #28794 /* ~After discovering our fellow Sun Soul monks had vanished from their monastery, we felt the truth must lie behind the name Alorgoth. We spread out in pairs to investigate further. Gamaz and I, used to life on Calimport streets, searched for rumors on the streets of Athkatla.~ [RST203] */
  IF ~~ THEN GOTO 72
END

IF ~~ THEN BEGIN 72 // from: 71.0
  SAY #28795 /* ~Much of our investigation took place at night, under the benign gaze of Selûne. You see, although the sun shines more brightly, it is the moon that reveals the truths hidden in darkness.~ [RST204] */
  IF ~~ THEN GOTO 73
END

IF ~~ THEN BEGIN 73 // from: 72.0
  SAY #28796 /* ~One night, we witnessed several shadowy figures assaulting a lone man on the street. We raced to his defense. The Moonmaiden blessed us, and we drove off his attackers.~ [RST205] */
  IF ~~ THEN GOTO 74
END

IF ~~ THEN BEGIN 74 // from: 73.0
  SAY #28797 /* ~Despite our intervention, the man was gravely wounded. I remained with him, tending his wounds as best I could while calling for help. Gamaz, however, pursued the attackers.~ [RST206] */
  IF ~~ THEN GOTO 75
END

IF ~~ THEN BEGIN 75 // from: 74.0
  SAY #28798 /* ~I shouted to him to come back, but he did not listen. Sometimes I wonder whether things would have been different if I had followed Gamaz instead of remaining with the wounded man.~ [RST207] */
  IF ~~ THEN REPLY #28799 /* ~No, you were right to remain with the injured man. Your Order is dedicated to helping others, isn't it?~ */ GOTO 76
  IF ~~ THEN REPLY #28800 /* ~Well, you did call out. It was Gamaz's choice not to come back.~ */ GOTO 77
  IF ~~ THEN REPLY #28801 /* ~You let your own brother run off alone after dangerous attackers? Remind me never to have you watch my back.~ */ GOTO 76
  IF ~~ THEN REPLY #28802 /* ~What happened next?~ */ GOTO 76
END

IF ~~ THEN BEGIN 76 // from: 75.3 75.2 75.0
  SAY #28803 /* ~I suppose it might have been worse had I gone with him. Still, I wish that night I could have been two men, one to remain with the injured man, another to go with my brother.~ [RST208] */
  IF ~~ THEN GOTO 77
END

IF ~~ THEN BEGIN 77 // from: 76.0 75.1
  SAY #28804 /* ~When help finally arrived, I ran after Gamaz. I found him only a few streets away. My brother had fought bravely, slaying three of his attackers before he was brought down.~ [RST209] */
  IF ~~ THEN GOTO 78
END

IF ~~ THEN BEGIN 78 // from: 77.0
  SAY #28805 /* ~Once more I cried out for help. Men came soon, but not to aid me. Instead they arrested me for fighting in the streets, leaving Gamaz to die in a pool of his own blood.~ [RST210] */
  IF ~~ THEN GOTO 79
END

IF ~~ THEN BEGIN 79 // from: 78.0
  SAY #28806 /* ~When the guards released me the following day, Gamaz had died. They said he had been slain by Shadow Thieves. The guards could not even give me his body, for they had burned it with those of the other dead men.~ [RST211] */
  IF ~~ THEN REPLY #28807 /* ~That's terrible. I'm sorry for your loss, Rasaad.~ */ GOTO 80
  IF ~~ THEN REPLY #28808 /* ~That's a shame, but at least you survived after helping the injured man.~ */ GOTO 81
  IF ~~ THEN REPLY #28809 /* ~I bet you feel guilty about that, huh?~ */ GOTO 82
  IF ~~ THEN REPLY #21253 /* ~Go on.~ */ GOTO 83
  IF ~~ THEN REPLY #28810 /* ~This is a lot sadder than I thought it would be. I don't want to hear any more.~ */ DO ~SetGlobal("RASAAD_CDEV2_END","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 80 // from: 79.0
  SAY #28811 /* ~Thank you for your kindness.~ [RST212] */
  IF ~~ THEN GOTO 83
END

IF ~~ THEN BEGIN 81 // from: 79.1
  SAY #28812 /* ~You are right to consider the good with the ill.~ [RST213] */
  IF ~~ THEN GOTO 83
END

IF ~~ THEN BEGIN 82 // from: 79.2
  SAY #28813 /* ~Not a day passes when I do not wish I could have saved him.~ [RST214] */
  IF ~~ THEN GOTO 83
END

IF ~~ THEN BEGIN 83 // from: 82.0 81.0 80.0 79.3
  SAY #28814 /* ~Disheartened by the tragedy, my fellow monks returned to Calimport. Gamaz and I had entered the monastery together, as brothers. I could not return without him.~ [RST215] */
  IF ~~ THEN GOTO 84
END

IF ~~ THEN BEGIN 84 // from: 83.0
  SAY #28815 /* ~Neither could I remain in Athkatla, a city that forever holds evil memories for me. I traveled north. At first I thought I might visit the Monastery of the Sun in Waterdeep, which they call the City of Splendors.~ [RST216] */
  IF ~~ THEN GOTO 85
END

IF ~~ THEN BEGIN 85 // from: 84.0
  SAY #28816 /* ~Yet I was in no hurry to arrive. Every day since entering the Order of the Sun Soul, I had striven to fill my heart with radiance that I may share it with others. After Gamaz's death, I felt only the shadows of grief and despair.~ [RST217] */
  IF ~~ THEN GOTO 86
END

IF ~~ THEN BEGIN 86 // from: 85.0
  SAY #28817 /* ~But perhaps I have dwelt too long on such memories. I wished to share my inner light with you, not my inner darkness.~ [RST218] */
  IF ~~ THEN GOTO 70
END

IF ~~ THEN BEGIN 87 // from: 70.1 69.1
  SAY #28818 /* ~My training at the Sun Soul monastery began the moment the kindly monk brought Gamaz and me inside its walls. As you might imagine, there was a great deal of physical training.~ [RST219] */
  IF ~~ THEN GOTO 88
END

IF ~~ THEN BEGIN 88 // from: 87.0
  SAY #28819 /* ~At first we were assigned chores and exercises. We looked with envy upon the older initiates who practiced combat techniques while we swept the stones and prepared meals for our seniors.~ [RST220] */
  IF ~~ THEN GOTO 89
END

IF ~~ THEN BEGIN 89 // from: 88.0
  SAY #28820 /* ~The monks taught us to read and write, and why it is important to do both with careful thought. We practiced debate, studied history, and answered endless quizzes about the nine thousand mysteries of Selûne.~ [RST221] */
  IF ~~ THEN GOTO 90
END

IF ~~ THEN BEGIN 90 // from: 89.0
  SAY #28821 /* ~We learned to meditate upon the moon, the shards, and the stars. We also learned to meditate on the darkness between them. For it falls to us to battle the servants of Selûne's dark sister, Shar.~ [RST222] */
  IF ~~ THEN GOTO 91
END

IF ~~ THEN BEGIN 91 // from: 90.0
  SAY #28822 /* ~At last we learned to combine our learning, devotion, and physical prowess to project our inner light outward. With it, we combat the darkness inside or surrounding others.~ [RST223] */
  IF ~~ THEN REPLY #28823 /* ~You must have been very good at it for the masters to send you on a mission to Amn.~ */ GOTO 92
  IF ~~ THEN REPLY #28824 /* ~It all sounds pretty mystical to me.~ */ GOTO 93
  IF ~~ THEN REPLY #28825 /* ~Why go to all that trouble when you can just pick up a sharp blade, call down the power of a god, or learn to cast a spell?~ */ GOTO 94
END

IF ~~ THEN BEGIN 92 // from: 91.0
  SAY #28826 /* ~We all strove hard, but Gamaz was the best among us.~ [RST224] */
  IF ~~ THEN GOTO 95
END

IF ~~ THEN BEGIN 93 // from: 91.1
  SAY #28827 /* ~It seemed that way to me at first, but Gamaz set a fine example and made it easy to follow.~ [RST225] */
  IF ~~ THEN GOTO 95
END

IF ~~ THEN BEGIN 94 // from: 91.2
  SAY #28828 /* ~Those may all be worthy paths, but we combine elements of each of them into one unified discipline. Gamaz was the first to teach me that.~ [RST226] */
  IF ~~ THEN GOTO 95
END

IF ~~ THEN BEGIN 95 // from: 94.0 93.0 92.0
  SAY #28829 /* ~None of the other monks could defeat him in combat. Only I could come close, but each time victory was within my grasp, he swept it away with some spectacular strike.~ [RST227] */
  IF ~~ THEN GOTO 96
END

IF ~~ THEN BEGIN 96 // from: 95.0
  SAY #28830 /* ~Even among the elder students, Gamaz stood as a pillar of tradition and excellence. His death is a great loss, not only to me as his brother, but also to the entire Order of the Sun Soul.~ [RST228] */
  IF ~~ THEN REPLY #28831 /* ~I'm sorry to bring up such a sad subject. Thank you for sharing it.~ */ GOTO 97
  IF ~~ THEN REPLY #28832 /* ~It seems you've learned a lot from your misfortunes.~ */ GOTO 97
  IF ~~ THEN REPLY #28833 /* ~Now that's the story you should use when begging. I almost want to give you money right now just to make you stop telling it.~ */ GOTO 97
END

IF ~~ THEN BEGIN 97 // from: 96.2 96.1 96.0
  SAY #28834 /* ~I thought it best that you should know my past, since we travel together.~ [RST229] */
  IF ~~ THEN GOTO 70
END

IF ~  Global("RASAAD_CDEV","LOCALS",3)
~ THEN BEGIN 98 // from:
  SAY #28835 /* ~Forgive me, my friend. I thought my brother dead and never imagined he had joined the Dark Moon cult.~ [RST301] */
  IF ~~ THEN REPLY #28836 /* ~So that was definitely your brother, not someone in disguise?~ */ DO ~SetGlobal("RASAAD_CDEV","LOCALS",4)
~ GOTO 99
  IF ~~ THEN REPLY #28837 /* ~Do I have to start worrying about you, Rasaad? If one brother turned to the Dark Moon, how can I trust the other?~ */ DO ~SetGlobal("RASAAD_CDEV","LOCALS",4)
~ GOTO 100
  IF ~~ THEN REPLY #28838 /* ~Maybe if you joined the Dark Moon, you'd become more powerful than you are now.~ */ DO ~SetGlobal("RASAAD_CDEV","LOCALS",4)
~ GOTO 101
END

IF ~~ THEN BEGIN 99 // from: 98.0
  SAY #28839 /* ~That was definitely Gamaz. There can be no mistake.~ [RST302] */
  IF ~~ THEN GOTO 102
END

IF ~~ THEN BEGIN 100 // from: 98.1
  SAY #28840 /* ~No, my friend. I promise you I will never join the Dark Moon.~ [RST303] */
  IF ~~ THEN GOTO 102
END

IF ~~ THEN BEGIN 101 // from: 98.2
  SAY #28841 /* ~No amount of power is worth allowing the darkness to eclipse your soul.~ [RST304] */
  IF ~~ THEN GOTO 102
END

IF ~~ THEN BEGIN 102 // from: 101.0 100.0 99.0
  SAY #28842 /* ~I cannot imagine what force persuaded Gamaz to turn his back to the light of Selûne and face the void of Shar.~ [RST305] */
  IF ~~ THEN REPLY #28843 /* ~Maybe he simply desired more power.~ */ GOTO 103
  IF ~~ THEN REPLY #28844 /* ~Maybe he had no choice.~ */ GOTO 104
  IF ~~ THEN REPLY #28845 /* ~Maybe he resented you.~ */ GOTO 105
  IF ~  CheckStatGT(Player1,14,WIS)
~ THEN REPLY #28846 /* ~Gamaz said something about your making him weak.~ */ GOTO 106
END

IF ~~ THEN BEGIN 103 // from: 102.0
  SAY #28847 /* ~It is possible, but Gamaz always excelled at the monastery. Among all the students, he was always the best. Except...~ [RST306] */
  IF ~~ THEN GOTO 106
END

IF ~~ THEN BEGIN 104 // from: 102.1
  SAY #28848 /* ~If that is true, why did he not tell me so? He knows I would do anything to help him. Even during our time at the monastery...~ [RST307] */
  IF ~~ THEN GOTO 106
END

IF ~~ THEN BEGIN 105 // from: 102.2
  SAY #28849 /* ~Resented me? What reason could he have for such feelings? Perhaps...~ [RST308] */
  IF ~~ THEN GOTO 106
END

IF ~~ THEN BEGIN 106 // from: 105.0 104.0 103.0 102.3
  SAY #28850 /* ~Selûne, shine your light on this humble fool! It is possible I have driven my own brother into the embrace of the Dark Moon?~ [RST309] */
  IF ~~ THEN REPLY #28851 /* ~Surely the fault lies with Gamaz, not you.~ */ GOTO 107
  IF ~~ THEN REPLY #28852 /* ~I knew it! You were a Dark Moon infiltrator the whole time!~ */ GOTO 107
  IF ~~ THEN REPLY #28853 /* ~Wait a second. What are you talking about?~ */ GOTO 107
END

IF ~~ THEN BEGIN 107 // from: 106.2 106.1 106.0
  SAY #28854 /* ~Even when we lived in the gutters of Calimport and stole bread to survive, Gamaz was my hero. When he tried to steal that monk's purse and was caught, I thought he had caused a miracle allowing us to live in the monastery.~ [RST310] */
  IF ~~ THEN GOTO 108
END

IF ~~ THEN BEGIN 108 // from: 107.0
  SAY #28855 /* ~Once we began training with the monks, I saw how disappointed Gamaz looked whenever another student exceeded him at an exercise. But Gamaz was very quick to learn. Soon, no one could exceed him. Except...~ [RST311] */
  IF ~~ THEN REPLY #28856 /* ~You were better than Gamaz, weren't you?~ */ GOTO 109
  IF ~~ THEN REPLY #28857 /* ~You crafty devil! That's a great trick, concealing the full extent of your power.~ */ GOTO 109
  IF ~~ THEN REPLY #28858 /* ~You held back to save his feelings, but you ended up making him weak by not testing him to his limits.~ */ GOTO 109
END

IF ~~ THEN BEGIN 109 // from: 108.2 108.1 108.0
  SAY #28859 /* ~We were always closely matched. Winning mattered little to me, but to Gamaz it meant everything. Whenever the temple masters pitted us against each other, I did my best... up to a point.~ [RST312] */
  IF ~~ THEN REPLY #28860 /* ~And then you let Gamaz win?~ */ GOTO 110
  IF ~~ THEN REPLY #28861 /* ~You threw the match? I hope you at least put down some bets first.~ */ GOTO 110
  IF ~~ THEN REPLY #28862 /* ~So it's your fault your brother joined the Dark Moon cult?~ */ GOTO 110
END

IF ~~ THEN BEGIN 110 // from: 109.2 109.1 109.0
  SAY #28863 /* ~I am to blame for my brother's yearning for greater power.~ [RST313] */
  IF ~~ THEN REPLY #28864 /* ~Maybe you made a mistake out of love for Gamaz, but it isn't your fault he joined the Dark Moon.~ */ GOTO 111
  IF ~~ THEN REPLY #28865 /* ~The important thing is that you can still kick his ass, right?~ */ GOTO 112
  IF ~~ THEN REPLY #28866 /* ~Explain to me how this self-pity is going to help us defeat the cult.~ */ GOTO 113
END

IF ~~ THEN BEGIN 111 // from: 110.0
  SAY #28867 /* ~Thank you for putting my failure in such a kind light, my friend. I shall endeavor to learn from my mistake.~ [RST314] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 112 // from: 110.1
  SAY #28868 /* ~Perhaps once I could have defeated Gamaz, but Shar often grants her converts great powers directly from the Shadow Weave. It is possible that Gamaz could overcome our entire company.~ [RST315] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 113 // from: 110.2
  SAY #28869 /* ~You are right, of course. I reflect too much on my own failings and not enough on finding solutions to our problem.~ [RST316] */
  IF ~~ THEN EXIT
END

IF ~  !InParty("RASAAD")
Global("RASAAD_IN_PARTY","GLOBAL",1)
~ THEN BEGIN 114 // from:
  SAY #29019 /* ~As the full moon wanes and disappears, so too does our association come to an end. I pray that it will one day wax again, and we shall travel the realms side by side. I shall return to Nashkel; if you ever wish to learn more about the Sun Soul, please do not hesitate to come speak with me.~ [RSADD1] */
  IF ~  AreaCheckObject("AR4800","RASAAD")
~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
SetGlobal("RASAAD_IN_PARTY","GLOBAL",0)
SetDialogue("RASAADP")
LeaveParty()
MoveToPoint([1100.782])
~ EXIT
  IF ~  !AreaCheckObject("AR4800","RASAAD")
~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
SetGlobal("RASAAD_IN_PARTY","GLOBAL",0)
SetDialogue("RASAADP")
SetGlobal("RASAADExists","AR4800",0)
LeaveParty()
EscapeAreaMove("AR4800",1100,782,S)
~ EXIT
END

IF ~~ THEN BEGIN 115 // from:
  SAY #30419 /* ~I assure you, I harbor no thoughts of treachery.~ [DN_30419] */
  IF ~~ THEN EXTERN ~DORNJ~ 203
END

IF ~~ THEN BEGIN 116 // from:
  SAY #30419 /* ~I assure you, I harbor no thoughts of treachery.~ [DN_30419] */
  IF ~~ THEN EXTERN ~DORNJ~ 254
END

IF ~  Global("RASAAD_ROMANCE","GLOBAL",1)
~ THEN BEGIN 117 // from:
  SAY #30833 /* ~Do you ever stop to contemplate the moonlight reflected on water?~ [RSR101] */
  IF ~~ THEN REPLY #30834 /* ~Of course I have. It's a beautiful sight.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",2)
~ GOTO 118
  IF ~~ THEN REPLY #30835 /* ~I don't have time to stop and meditate on every pond we see.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",2)
~ GOTO 119
  IF ~~ THEN REPLY #30836 /* ~Is this a riddle or something?~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",2)
~ GOTO 120
  IF ~~ THEN REPLY #30837 /* ~Now is not a good time for this, Rasaad.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",1)
SetGlobalTimer("RASAAD_ROMANCE_TIMER1","LOCALS",ONE_DAY)
~ EXIT
END

IF ~~ THEN BEGIN 118 // from: 117.0
  SAY #30838 /* ~Beautiful indeed, and illuminating in more ways than one.~ [RSR102] */
  IF ~~ THEN GOTO 121
END

IF ~~ THEN BEGIN 119 // from: 117.1
  SAY #30839 /* ~Even when busy, one should pause to reflect... if you will forgive the pun.~ [RSR103] */
  IF ~~ THEN GOTO 121
END

IF ~~ THEN BEGIN 120 // from: 117.2
  SAY #30840 /* ~It is sort of a riddle, for the moon sheds no light of its own.~ [RSR104] */
  IF ~~ THEN GOTO 121
END

IF ~~ THEN BEGIN 121 // from: 120.0 119.0 118.0
  SAY #30841 /* ~What we see as moonlight first came from the sun. From the moon it reflects again off the water before it reaches us.~ [RSR105] */
  IF ~~ THEN REPLY #30842 /* ~What's so special about that?~ */ GOTO 122
  IF ~  CheckStatGT(Player1,11,WIS)
~ THEN REPLY #30843 /* ~You're saying everything is connected.~ */ GOTO 123
  IF ~~ THEN REPLY #30844 /* ~You're starting to sound more like an astronomer than a monk.~ */ GOTO 124
END

IF ~~ THEN BEGIN 122 // from: 121.0
  SAY #30845 /* ~Light connects all of us, eventually.~ [RSR106] */
  IF ~  !InParty("Viconia")
~ THEN GOTO 132
  IF ~  InParty("Viconia")
~ THEN EXTERN ~VICONJ~ 20
END

IF ~~ THEN BEGIN 123 // from: 121.1
  SAY #30846 /* ~I knew you would understand. Light connects us all, eventually.~ [RSR107] */
  IF ~  !InParty("Viconia")
~ THEN GOTO 132
  IF ~  InParty("Viconia")
~ THEN EXTERN ~VICONJ~ 20
END

IF ~~ THEN BEGIN 124 // from: 121.2
  SAY #30847 /* ~My training at the Sun Soul monastery included much skygazing. Observing the motion of the moon, the shards, and the stars helped me understand that light connects us all.~ [RSR108] */
  IF ~  !InParty("Viconia")
~ THEN GOTO 132
  IF ~  InParty("Viconia")
~ THEN EXTERN ~VICONJ~ 20
END

IF ~~ THEN BEGIN 125 // from: VICONJ:20.0
  SAY #30849 /* ~No, no, of course not. Those who dwell in the Underdark are deprived of both sunlight and moonlight.~ [RSR108b] */
  IF ~~ THEN EXTERN ~VICONJ~ 21
END

IF ~~ THEN BEGIN 126 // from: VICONJ:21.0
  SAY #30851 /* ~Darkness is a void, the absence of warmth, understanding, and humanity.~ [RSR108d] */
  IF ~~ THEN EXTERN ~VICONJ~ 22
END

IF ~~ THEN BEGIN 127 // from: VICONJ:22.2
  SAY #30859 /* ~If you mean her point about human arrogance, I agree that we are all afflicted with this flaw to some degree. As for her embrace of Shar, I will never submit to the void.~ [RSR108g] */
  IF ~~ THEN EXTERN ~VICONJ~ 24
END

IF ~~ THEN BEGIN 128 // from: VICONJ:24.0
  SAY #30861 /* ~I... I think it is time for my meditations.~ [RSR108j] */
  IF ~~ THEN EXTERN ~VICONJ~ 25
END

IF ~~ THEN BEGIN 129 // from: VICONJ:32.0
  SAY #30876 /* ~Sexual—? There was nothing—uhm...~ [RSR108r] */
  IF ~~ THEN GOTO 130
END

IF ~~ THEN BEGIN 130 // from: 129.0
  SAY #30877 /* ~I, was talking about moonlight... and the reflecting...~ [RSR109] */
  IF ~~ THEN REPLY #30878 /* ~This conversation is over.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ EXIT
  IF ~~ THEN REPLY #30879 /* ~Go on. Tell me more.~ */ GOTO 132
  IF ~~ THEN REPLY #30880 /* ~You seem flustered. Maybe you should meditate before you try this again.~ */ GOTO 131
END

IF ~~ THEN BEGIN 131 // from: 130.2
  SAY #30881 /* ~Yes, of course. Forgive my clumsy words.~ [RSR110] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 132 // from: 130.1 124.0 123.0 122.0 VICONJ:23.0
  SAY #30882 /* ~As the monks of Sune put it, the sun blows a kiss to the moon, and the moon blows the kiss down to us. On this point my order agrees: The sweetest light is that which we reflect from others.~ [RSR111] */
  IF ~~ THEN REPLY #30883 /* ~What about your own light?~ */ GOTO 133
  IF ~~ THEN REPLY #30884 /* ~Are you trying to say that I'm radiant?~ */ GOTO 138
  IF ~~ THEN REPLY #30885 /* ~If you're going to turn all poetical on me, I've got work to do.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 134
END

IF ~~ THEN BEGIN 133 // from: 132.0
  SAY #30886 /* ~I try to live by the tenets of the Sun Soul monks. I pray that my light reveals the truth in darkness, offers succor to those in need, and obeys all just authority.~ [RSR112] */
  IF ~~ THEN REPLY #30887 /* ~That sounds admirable. What light do you see coming from me?~ */ GOTO 137
  IF ~~ THEN REPLY #30888 /* ~Wait a second. Are you trying to enlist me in this cult of yours?~ */ GOTO 135
  IF ~~ THEN REPLY #30889 /* ~*yawn* Sorry, was that all?~ */ GOTO 136
END

IF ~~ THEN BEGIN 134 // from: 132.2
  SAY #30890 /* ~What? No! That is not what I–... you are teasing me, aren't you?~ [RSR113] */
  IF ~~ THEN REPLY #30891 /* ~Yes, I was only teasing. You were about to tell me about my inner light.~ */ GOTO 137
  IF ~~ THEN REPLY #30892 /* ~Wait a second. Are you trying to enlist me in this cult of yours?~ */ GOTO 135
  IF ~~ THEN REPLY #30893 /* ~*yawn* Sorry, was that all?~ */ GOTO 136
END

IF ~~ THEN BEGIN 135 // from: 134.1 133.1
  SAY #30894 /* ~Enlist you—? Cult? No, <CHARNAME>. Forgive me for giving you the wrong impression. My interest was merely... it does not matter. Please forget I said anything.~ [RSR114] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 136 // from: 134.2 133.2
  SAY #30895 /* ~Yes, I, ah... I suppose that was all. Forgive me for boring you.~ [RSR115] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 137 // from: 134.0 133.0
  SAY #30896 /* ~Your inner light? To be honest, I have given the matter some thought, and I... er...~ [RSR120] */
  IF ~~ THEN GOTO 142
  IF ~  CheckStatGT(Player1,13,CHR)
~ THEN GOTO 141
  IF ~  CheckStatGT(Player1,13,INT)
~ THEN GOTO 140
  IF ~  CheckStatGT(Player1,13,WIS)
~ THEN GOTO 139
  IF ~  CheckStatGT(Player1,15,CHR)
~ THEN GOTO 141
  IF ~  CheckStatGT(Player1,15,INT)
~ THEN GOTO 140
  IF ~  CheckStatGT(Player1,15,WIS)
~ THEN GOTO 139
  IF ~  CheckStatGT(Player1,17,CHR)
~ THEN GOTO 141
  IF ~  CheckStatGT(Player1,17,INT)
~ THEN GOTO 140
  IF ~  CheckStatGT(Player1,17,WIS)
~ THEN GOTO 139
END

IF ~~ THEN BEGIN 138 // from: 132.1
  SAY #30897 /* ~Yes?~ [RS_30897] */
  IF ~~ THEN GOTO 142
  IF ~  CheckStatGT(Player1,13,CHR)
~ THEN GOTO 141
  IF ~  CheckStatGT(Player1,13,INT)
~ THEN GOTO 140
  IF ~  CheckStatGT(Player1,13,WIS)
~ THEN GOTO 139
  IF ~  CheckStatGT(Player1,15,CHR)
~ THEN GOTO 141
  IF ~  CheckStatGT(Player1,15,INT)
~ THEN GOTO 140
  IF ~  CheckStatGT(Player1,15,WIS)
~ THEN GOTO 139
  IF ~  CheckStatGT(Player1,17,CHR)
~ THEN GOTO 141
  IF ~  CheckStatGT(Player1,17,INT)
~ THEN GOTO 140
  IF ~  CheckStatGT(Player1,17,WIS)
~ THEN GOTO 139
END

IF ~~ THEN BEGIN 139 // from: 138.9 138.6 138.3 137.9 137.6 137.3
  SAY #30918 /* ~Your insight reveals a path through darkness that others would do well to follow.~ [RSR122] */
  IF ~~ THEN REPLY #30919 /* ~You like me because you think I'm insightful?~ */ GOTO 146
  IF ~~ THEN REPLY #30920 /* ~But you also think I'm radiantly beautiful, right?~ */ GOTO 143
  IF ~~ THEN REPLY #30921 /* ~Thanks, Rasaad. You're not so bad yourself.~ */ GOTO 144
  IF ~~ THEN REPLY #30922 /* ~Now that you've buttered me up, what is it that you really want?~ */ GOTO 145
END

IF ~~ THEN BEGIN 140 // from: 138.8 138.5 138.2 137.8 137.5 137.2
  SAY #30923 /* ~Your keen intellect is a beacon for others to follow.~ [RSR123] */
  IF ~~ THEN REPLY #30924 /* ~You like me because you think I'm clever?~ */ GOTO 146
  IF ~~ THEN REPLY #30925 /* ~But you also think I'm radiantly beautiful, right?~ */ GOTO 143
  IF ~~ THEN REPLY #30926 /* ~Thanks, Rasaad. You're not so bad yourself.~ */ GOTO 144
  IF ~~ THEN REPLY #30927 /* ~Now that you've buttered me up, what is it that you really want?~ */ GOTO 145
END

IF ~~ THEN BEGIN 141 // from: 138.7 138.4 138.1 137.7 137.4 137.1
  SAY #30928 /* ~Your allure draws everyone closer to you.~ [RSR124] */
  IF ~~ THEN REPLY #30929 /* ~You like me because you think I'm charming?~ */ GOTO 146
  IF ~~ THEN REPLY #30930 /* ~But you also think I'm radiantly beautiful, right?~ */ GOTO 143
  IF ~~ THEN REPLY #30931 /* ~Thanks, Rasaad. You're not so bad yourself.~ */ GOTO 144
  IF ~~ THEN REPLY #30932 /* ~Now that you've buttered me up, what is it that you really want?~ */ GOTO 145
END

IF ~~ THEN BEGIN 142 // from: 138.0 137.0
  SAY #30933 /* ~The kindness and mercy you have shown to others is more beautiful than moonlight.~ [RSR125] */
  IF ~~ THEN REPLY #30934 /* ~You like me because you think I'm a good person?~ */ GOTO 146
  IF ~~ THEN REPLY #30935 /* ~But you also think I'm radiantly beautiful, right?~ */ GOTO 143
  IF ~~ THEN REPLY #30936 /* ~Thanks, Rasaad. You're not so bad yourself.~ */ GOTO 144
  IF ~~ THEN REPLY #30937 /* ~Now that you've buttered me up, what is it that you really want?~ */ GOTO 145
END

IF ~~ THEN BEGIN 143 // from: 142.1 141.1 140.1 139.1
  SAY #30938 /* ~What? I... you are teasing again, aren't you?~ [RSR126] */
  IF ~~ THEN REPLY #30939 /* ~Only because I like you, Rasaad.~ */ GOTO 147
  IF ~~ THEN REPLY #30940 /* ~You really can't tell when I'm kidding, can you?~ */ GOTO 148
  IF ~~ THEN REPLY #30941 /* ~Could be yes. Could be no. The question is whether you can figure it out before I pounce!~ */ GOTO 149
END

IF ~~ THEN BEGIN 144 // from: 142.2 141.2 140.2 139.2
  SAY #30942 /* ~I... uh... thank you, <CHARNAME>. Hearing that from you means... you are teasing me again, aren't you?~ [RSR127] */
  IF ~~ THEN REPLY #30943 /* ~Only because I like you, Rasaad.~ */ GOTO 147
  IF ~~ THEN REPLY #30944 /* ~You really can't tell when I'm kidding, can you?~ */ GOTO 148
  IF ~~ THEN REPLY #30945 /* ~Could be yes. Could be no. The question is whether you can figure it out before I pounce!~ */ GOTO 149
END

IF ~~ THEN BEGIN 145 // from: 142.3 141.3 140.3 139.3
  SAY #30946 /* ~Buttered you—? I assure you, I have no ulterior— you are teasing me again, aren't you?~ [RSR128] */
  IF ~~ THEN REPLY #30947 /* ~Only because I like you, Rasaad.~ */ GOTO 147
  IF ~~ THEN REPLY #30948 /* ~You really can't tell when I'm kidding, can you?~ */ GOTO 148
  IF ~~ THEN REPLY #30949 /* ~Could be yes. Could be no. The question is whether you can figure it out before I pounce!~ */ GOTO 149
END

IF ~~ THEN BEGIN 146 // from: 142.0 141.0 140.0 139.0
  SAY #30950 /* ~Among other reasons, yes. I am blessed to know someone like you.~ [RSR129] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 147 // from: 145.0 144.0 143.0
  SAY #30951 /* ~Because you like me? Yet another reason why I am blessed to know someone like you.~ [RSR130] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 148 // from: 145.1 144.1 143.1
  SAY #30952 /* ~No, you always surprise me. I suppose that is one of the many reasons I am blessed to know someone like you.~ [RSR131] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 149 // from: 145.2 144.2 143.2
  SAY #30953 /* ~Ha ha! Now I can tell you are teasing. You... ARE teasing, yes? Yes?~ [RSR132] */
  IF ~~ THEN EXIT
END

IF ~  Global("RASAAD_ROMANCE","GLOBAL",2)
GlobalTimerExpired("RASAAD_ROMANCE_TIMER2","LOCALS")
~ THEN BEGIN 150 // from:
  SAY #30954 /* ~This man Sorrem wished to join the Dark Moon monks, the assassins who murdered my brother. Much as I try to calm my heart, it pounds with rage.~ [RSR201] */
  IF ~~ THEN REPLY #30955 /* ~I'm sorry, Rasaad. I know how you must feel.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",3)
~ GOTO 151
  IF ~~ THEN REPLY #30956 /* ~Naturally, you want revenge.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",3)
~ GOTO 152
  IF ~~ THEN REPLY #30957 /* ~Get over it. We have a job to do.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 153
END

IF ~~ THEN BEGIN 151 // from: 150.0
  SAY #30958 /* ~In my anger, I forgot that you too are an orphan. Please forgive my selfishness.~ [RSR202] */
  IF ~~ THEN REPLY #30959 /* ~You aren't being selfish. You have every right to be angry. What's important is that you do not let that anger change you for the worse.~ */ GOTO 154
  IF ~~ THEN REPLY #30960 /* ~We may have lost our families, but we are never alone in this world so long as we have friends.~ */ GOTO 155
  IF ~~ THEN REPLY #30961 /* ~All right, but just this once. Not everything is about you, you know.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 153
END

IF ~~ THEN BEGIN 152 // from: 150.1
  SAY #30962 /* ~No! Revenge only overturns the balance again. What I need is time to consider my feelings. These Dark Moon assassins killed Gamaz, my only brother.~ [RSR203] */
  IF ~~ THEN REPLY #30963 /* ~Take all the time you need, Rasaad. If-~ */ GOTO 156
  IF ~~ THEN REPLY #30964 /* ~If you want to talk about your brother—~ */ GOTO 156
  IF ~~ THEN REPLY #30965 /* ~Now that's settled, let's move along.~ */ EXIT
END

IF ~~ THEN BEGIN 153 // from: 151.2 150.2
  SAY #30966 /* ~I... you are of course correct. I am here to help you, not to distract you with my selfish desires.~ [RSR204] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 154 // from: 151.0
  SAY #30967 /* ~You... you remind me of a lesson I should never have forgotten, even in my anger. Thank you, <CHARNAME>. You are a better friend than you may realize.~ [RSR205] */
  IF ~~ THEN REPLY #30968 /* ~I'm always here for you, if you want to talk—~ */ GOTO 156
  IF ~~ THEN REPLY #30969 /* ~If you want to talk about your brother—~ */ GOTO 156
  IF ~~ THEN REPLY #30970 /* ~Now that's settled, let's move along.~ */ EXIT
END

IF ~~ THEN BEGIN 155 // from: 151.1
  SAY #30971 /* ~You are right, of course. I must not give in to despair. The umbra of Shar may envelop the moon each month, but soon after the smile of Selûne reappears.~ [RSR206] */
  IF ~~ THEN REPLY #30972 /* ~Sometimes it helps to talk—~ */ GOTO 156
  IF ~~ THEN REPLY #30973 /* ~If you want to talk about your brother—~ */ GOTO 156
  IF ~~ THEN REPLY #30974 /* ~Now that's settled, let's move along.~ */ EXIT
END

IF ~~ THEN BEGIN 156 // from: 155.1 155.0 154.1 154.0 152.1 152.0
  SAY #30975 /* ~If I had just beaten him, Gamaz would still be alive!~ [RSR207] */
  IF ~~ THEN REPLY #30976 /* ~Don't blame yoursel— Wait a second. Did you say, "If I had just beaten him"?~ */ GOTO 157
  IF ~~ THEN REPLY #30977 /* ~Is this some mystical paradox you learned at the monastery?~ */ GOTO 157
  IF ~~ THEN REPLY #30978 /* ~What are you keeping from me?~ */ GOTO 157
END

IF ~~ THEN BEGIN 157 // from: 156.2 156.1 156.0
  SAY #30979 /* ~I mean I should have helped Gamaz more. He always strove to be the best. If I had been a better brother, he would have trained harder, maybe enough to fight off his attackers.~ [RSR208] */
  IF ~~ THEN REPLY #30980 /* ~You can tell me anything, Rasaad, any time you're ready to talk about it.~ */ GOTO 158
  IF ~~ THEN REPLY #30981 /* ~I'm sure it wasn't your fault. I'm sure you were the best brother you knew how to—~ */ GOTO 159
  IF ~~ THEN REPLY #30982 /* ~That can't be the whole story. Tell me the rest. Now.~ */ GOTO 160
END

IF ~~ THEN BEGIN 158 // from: 157.0
  SAY #30983 /* ~You always seem to understand, even before I have spoken. Thank you, <CHARNAME>.~ [RSR209] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 159 // from: 157.1
  SAY #30984 /* ~You know nothing about it! I... forgive me, <CHARNAME>. These memories of my brother lead only into shadow. I must meditate and restore my inner light.~ [RSR210] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 160 // from: 157.2
  SAY #30985 /* ~No. I do not lightly refuse you, <CHARNAME>, but I must mediate upon the shadows within my soul.~ [RSR211] */
  IF ~~ THEN EXIT
END

IF ~  Global("RASAAD_ROMANCE","GLOBAL",3)
GlobalTimerExpired("RASAAD_ROMANCE_TIMER3","LOCALS")
~ THEN BEGIN 161 // from:
  SAY #30986 /* ~Even in the shadow of my brother's death, I feel the light of Selûne has truly blessed me.~ [RSR301] */
  IF ~~ THEN REPLY #30987 /* ~Because the power of your goddess allowed you to defeat Gamaz?~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",4)
~ GOTO 162
  IF ~~ THEN REPLY #30988 /* ~Because you are traveling with me, right?~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",4)
~ GOTO 162
  IF ~~ THEN REPLY #30989 /* ~Why?~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",4)
~ GOTO 162
END

IF ~~ THEN BEGIN 162 // from: 161.2 161.1 161.0
  SAY #30990 /* ~Even with everything I learned at the Monastery of the Moon, I would not have been able to defeat Gamaz and his Dark Moon monks without you.~ [RSR302] */
  IF ~~ THEN REPLY #30991 /* ~So you value me for my fighting ability?~ */ GOTO 163
  IF ~~ THEN REPLY #30992 /* ~Lucky for you I happened to need a monk.~ */ GOTO 164
  IF ~~ THEN REPLY #30993 /* ~It was on the way. Don't give it a second thought.~ */ GOTO 164
END

IF ~~ THEN BEGIN 163 // from: 162.0
  SAY #30994 /* ~Your skill at battle is incredible, but even more than that I admire the way you help those who lack your power. You inspire me.~ [RSR303] */
  IF ~~ THEN REPLY #30995 /* ~You inspire me as well, Rasaad.~ */ GOTO 165
  IF ~~ THEN REPLY #30996 /* ~Yeah, I have that effect on people.~ */ GOTO 164
  IF ~~ THEN REPLY #30997 /* ~That's terrific. Now, did you have something important to say?~ */ GOTO 166
END

IF ~~ THEN BEGIN 164 // from: 163.1 162.2 162.1
  SAY #30998 /* ~I am even beginning to appreciate your sense of humor. Only since meeting you have I realized that I can come off as somewhat... well...~ [RSR304] */
  IF ~~ THEN REPLY #30999 /* ~Stiff?~ */ GOTO 167
  IF ~~ THEN REPLY #31000 /* ~Stuck up?~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 168
  IF ~~ THEN REPLY #31001 /* ~Self-righteous?~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 169
END

IF ~~ THEN BEGIN 165 // from: 163.0
  SAY #31002 /* ~Do I? In what way?~ [RSR305] */
  IF ~~ THEN REPLY #31003 /* ~You always try to do what's best for others, even when it's difficult.~ */ GOTO 187
  IF ~~ THEN REPLY #31004 /* ~It's that awesome spinning back kick. Can you show me how to do that?~ */ GOTO 185
  IF ~~ THEN REPLY #31005 /* ~You're very clean. I never see you shaving, but there's your bald head, smooth as an egg!~ */ GOTO 186
END

IF ~~ THEN BEGIN 166 // from: 163.2
  SAY #31006 /* ~I suppose not. Forgive me for bothering you.~ [RSR306] */
  IF ~~ THEN DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ EXIT
END

IF ~~ THEN BEGIN 167 // from: 164.0
  SAY #31007 /* ~You are right. It has been difficult to relax ever since I thought Gamaz had been murdered. Is it wrong that his death has granted a sort of relief?~ [RSR307] */
  IF ~~ THEN REPLY #31008 /* ~Not knowing your brother's fate must have been much worse than learning the truth.~ */ GOTO 170
  IF ~~ THEN REPLY #31009 /* ~Beats me. I leave the introspection to monks. Isn't that your specialty?~ */ GOTO 171
  IF ~~ THEN REPLY #31010 /* ~No, Rasaad. Gamaz had turned evil. It's good that he's dead.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 172
END

IF ~~ THEN BEGIN 168 // from: 164.1
  SAY #31011 /* ~You think me conceited? I never realized this particular flaw in my character.~ [RSR308] */
  IF ~~ THEN REPLY #31012 /* ~It seems obvious to everybody else. I'm not saying we laugh behind your back. I'm just saying there's been talk.~ */ GOTO 171
  IF ~~ THEN REPLY #31013 /* ~I'm kidding! Your only real flaw is your sense of humor. That is, your complete lack of one.~ */ GOTO 171
  IF ~~ THEN REPLY #31014 /* ~Maybe you should go mediate on it for a while.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 173
END

IF ~~ THEN BEGIN 169 // from: 164.2
  SAY #31015 /* ~Do I truly appear self-righteous? You are not the first to say so, but I never heard such criticism from a friend.~ [RSR309] */
  IF ~~ THEN REPLY #31016 /* ~You're the most sanctimonious monk I've ever met.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 174
  IF ~~ THEN REPLY #31017 /* ~"Self-righteous" might be a little strong, but you could relax a little. The world isn't all light and darkness. There's plenty in between as well.~ */ GOTO 175
  IF ~~ THEN REPLY #31018 /* ~Maybe you should go meditate on it for a while.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 173
END

IF ~~ THEN BEGIN 170 // from: 167.0
  SAY #31019 /* ~You are right. The uncertainty unsettled my soul even more than the realization that my brother had turned to evil.~ [RSR310] */
  IF ~~ THEN REPLY #31020 /* ~Now that you have closure, you can move on with your life.~ */ GOTO 188
  IF ~~ THEN REPLY #31021 /* ~Forget about the past. It's time to live in the present, maybe even have a little fun.~ */ GOTO 188
  IF ~~ THEN REPLY #31022 /* ~Now that's settled and you can quit your moping.~ */ GOTO 174
END

IF ~~ THEN BEGIN 171 // from: 168.1 168.0 167.1
  SAY #31023 /* ~Perhaps you have a good point. I— you are joking again, aren't you?~ [RSR311] */
  IF ~~ THEN REPLY #31024 /* ~Yes.~ [RS_31024] */ GOTO 176
  IF ~~ THEN REPLY #31025 /* ~No.~ */ GOTO 176
  IF ~~ THEN REPLY #31026 /* ~Maybe.~ */ GOTO 176
END

IF ~~ THEN BEGIN 172 // from: 167.2
  SAY #31027 /* ~I cannot believe that. While Gamaz turned to the Dark Moon cult, most of his life was devoted to good. Surely that still matters.~ [RSR312] */
  IF ~~ THEN REPLY #31028 /* ~If that's what you need to tell yourself... *shrug*~ */ GOTO 174
  IF ~~ THEN REPLY #31029 /* ~What do I know? It's not like I have any experience with evil siblings.~ */ GOTO 174
  IF ~~ THEN REPLY #31030 /* ~Gamaz threw away all of his good acts when he turned to evil. He's damned now.~ */ DO ~SetGlobal("RASAAD_ROMANCE","GLOBAL",-1)
~ GOTO 174
END

IF ~~ THEN BEGIN 173 // from: 186.2 185.2 175.2 169.2 168.2
  SAY #31031 /* ~Yes, of course. I will meditate upon this.~ [RSR313] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 174 // from: 172.2 172.1 172.0 170.2 169.0
  SAY #31032 /* ~If that is how you feel... I must meditate upon this.~ [RSR314] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 175 // from: 169.1
  SAY #31033 /* ~There is wisdom in what you say. I feel the same way, but perhaps my actions do not reflect my thoughts as they should.~ [RSR315] */
  IF ~~ THEN REPLY #31034 /* ~Nobody's perfect.~ */ GOTO 177
  IF ~~ THEN REPLY #31035 /* ~On the other hand, who am I to judge you? I've got my own flaws.~ */ GOTO 177
  IF ~~ THEN REPLY #31036 /* ~Maybe you should go meditate on it for a while.~ */ GOTO 173
END

IF ~~ THEN BEGIN 176 // from: 188.0 187.1 187.0 186.1 186.0 185.1 185.0 171.2 171.1 171.0
  SAY #31037 /* ~This time I can tell you are joking! Perhaps with your help I can improve in this regard.~ [RSR316] */
  IF ~~ THEN REPLY #31038 /* ~I would love to help you.~ */ GOTO 180
  IF ~~ THEN REPLY #31039 /* ~You're on. To start, I want to see you do 100 push-ups and 100 sit-ups. You'd better take off that shirt first.~ */ GOTO 181
  IF ~~ THEN REPLY #31040 /* ~I don't know. You might do better to run off and join a circus, study with some clowns.~ */ GOTO 182
END

IF ~~ THEN BEGIN 177 // from: 175.1 175.0
  SAY #31041 /* ~Of all the people I have met on my travels, you are certainly the closest to perfect.~ [RSR317] */
  IF ~~ THEN REPLY #31042 /* ~If I didn't know better, I'd think you were sweet on me, Rasaad.~ */ GOTO 178
  IF ~~ THEN REPLY #31043 /* ~Flattery will get you nowhere, brother.~ */ GOTO 179
  IF ~~ THEN REPLY #31044 /* ~Flattery will get you... Well, let me think on that a while.~ */ GOTO 179
END

IF ~~ THEN BEGIN 178 // from: 177.0
  SAY #31045 /* ~Well, I— suddenly it seems very warm. Are you very warm also? Perhaps we should walk some more.~ [RSR318] */
  IF ~~ THEN REPLY #31046 /* ~Good idea. Let's move.~ */ EXIT
  IF ~~ THEN REPLY #31047 /* ~*sigh*~ */ EXIT
END

IF ~~ THEN BEGIN 179 // from: 188.2 187.2 177.2 177.1
  SAY #31048 /* ~I did not mean to sound so insincere! I only meant to say—~ [RSR319] */
  IF ~~ THEN REPLY #31049 /* ~Don't worry, Rasaad. I know what you meant.~ */ GOTO 183
  IF ~~ THEN REPLY #31050 /* ~Relax, Rasaad. I'll let you off the hook. For now.~ */ GOTO 184
END

IF ~~ THEN BEGIN 180 // from: 176.0
  SAY #31051 /* ~Excellent! I will meditate on some humorous things to say later.~ [RSR320] */
  IF ~~ THEN REPLY #31052 /* ~Great!~ */ EXIT
  IF ~~ THEN REPLY #31053 /* ~Uh, oh.~ */ EXIT
END

IF ~~ THEN BEGIN 181 // from: 176.1
  SAY #31054 /* ~I do not see how— Ah! You are very funny. I will meditate on some humorous things to say later.~ [RSR321] */
  IF ~~ THEN REPLY #31055 /* ~Great!~ */ EXIT
  IF ~~ THEN REPLY #31056 /* ~Uh, oh.~ */ EXIT
END

IF ~~ THEN BEGIN 182 // from: 176.2
  SAY #31057 /* ~But I have always found clowns to be quite frighten— No, I get it! This is another of your splendid jests. I will meditate on some humorous things to say later.~ [RSR322] */
  IF ~~ THEN REPLY #31055 /* ~Great!~ */ EXIT
  IF ~~ THEN REPLY #31056 /* ~Uh, oh.~ */ EXIT
END

IF ~~ THEN BEGIN 183 // from: 179.0
  SAY #31060 /* ~You do? Ahem.~ [RSR323] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 184 // from: 179.1
  SAY #31061 /* ~Of course. Take all the time you wish. Ahem.~ [RSR324] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 185 // from: 165.1
  SAY #31062 /* ~Of course! You must begin in horse stance, with your feet like so. Then you— why are you laughing?~ [RSR325] */
  IF ~~ THEN REPLY #31063 /* ~If someone told you to go jump in a lake, would you?~ */ GOTO 176
  IF ~~ THEN REPLY #31064 /* ~I was thinking of that famous thief who stole the word "gullible."~ */ GOTO 176
  IF ~~ THEN REPLY #31065 /* ~Oh, no reason.~ */ GOTO 173
END

IF ~~ THEN BEGIN 186 // from: 165.2
  SAY #31066 /* ~Well, of course. Cleanliness is one of the most import— why are you laughing?~ [RSR326] */
  IF ~~ THEN REPLY #31067 /* ~I wonder what would happen if someone told you to go jump in a lake.~ */ GOTO 176
  IF ~~ THEN REPLY #31068 /* ~I was thinking of that famous thief who stole the word "gullible."~ */ GOTO 176
  IF ~~ THEN REPLY #31069 /* ~Oh, no reason.~ */ GOTO 173
END

IF ~~ THEN BEGIN 187 // from: 165.0
  SAY #31070 /* ~It is easier to know what is right when I travel with someone like you. Your inner light guides me when I am uncertain.~ [RSR327] */
  IF ~~ THEN REPLY #31071 /* ~That's me, a beacon of hope and glory. I should hold up a lantern.~ */ GOTO 176
  IF ~~ THEN REPLY #31072 /* ~You guide me, too. We guide each other.~ */ GOTO 176
  IF ~~ THEN REPLY #31073 /* ~You're laying it on a bit thick, don't you think?~ */ GOTO 179
END

IF ~~ THEN BEGIN 188 // from: 170.1 170.0
  SAY #31074 /* ~While I will never forget the past, it is better to live in the present. Perhaps soon I can begin to think about the future.~ [RSR328] */
  IF ~~ THEN REPLY #31075 /* ~Be careful mixing up all those times. You'll end up too tense. Get it? Get it?~ */ GOTO 176
  IF ~~ THEN REPLY #31076 /* ~Whatever the future holds, I know we can face it together.~ */ GOTO 189
  IF ~~ THEN REPLY #31077 /* ~Don't get ahead of yourself there, Rasaad. You're starting to sound like a lothario.~ */ GOTO 179
END

IF ~~ THEN BEGIN 189 // from: 188.1
  SAY #31078 /* ~Knowing that gives me hope that after the recent darkness we have faced, we will soon bask in full moonlight... together.~ [RSR329] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 190 // from:
  SAY #31909 /* ~I believe that it technically does not count because of how the word is spelled, but his verbal agility is still quite impressive.~ [RS_31909] */
  IF ~~ THEN EXTERN ~BAELOTH~ 18
END
